com.google.gwt.i18n.shared

## Interface AlternateMessageSelector

    public interface AlternateMessageSelector

Defines a way of choosing between alternate messages based on a parameter value.

### Nested Class Summary

Nested Classes
`static class` `AlternateMessageSelector.AlternateForm` Represents an alternate form of a message.

### Field Summary

Fields
`static AlternateMessageSelector.AlternateForm` `OTHER_FORM`
`static java.lang.String` `OTHER_FORM_NAME` Name of the "other" form.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isFormAcceptable(java.lang.String form)` Check if a user-supplied form is acceptable for this alternate message selector.

### Field Detail

#### OTHER_FORM_NAME

    static final java.lang.String OTHER_FORM_NAME

Name of the "other" form.

See Also:
  Constant Field Values

#### OTHER_FORM

    static final AlternateMessageSelector.AlternateForm OTHER_FORM

### Method Detail

#### isFormAcceptable

    boolean isFormAcceptable(java.lang.String form)

Check if a user-supplied form is acceptable for this alternate message selector.

Parameters:
  `form` -
Returns:
  true if the form is acceptable, otherwise false